MONGOC_CLIENT_SESSION_DESTROY(3)

NAME
mongoc_client_session_destroy - mongoc_client_session_destroy()

SYNOPSIS

void
mongoc_client_session_destroy (mongoc_client_session_t *session);

End a session, returning its session id to the pool, and free all client resources associated with the session. If a multi-document transaction is in progress, abort it. Does nothing if session is NULL.

See the example code for mongoc_client_session_t.

PARAMETERS

•   session: A mongoc_client_session_t.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc